

<template>
	<div
		:style="{
			position: 'relative',
			
			// background: 'linear-gradient(11deg, rgb(0, 0, 0), rgb(94, 46, 71), #350c35, #ac7819, #97175f)',
			background: 'linear-gradient(22deg, #392e18, #151202, #6b6bd2, black)',
			// background: `url('codesweeper--ai-generated-8311446_1920.jpg')`,
			
			
			height: '100vh',
			width: '100vw',
			
			
			
			color: 'white'
		}"
	>
		<div 
			:style="{
				position: 'absolute',
				top: 0,
				left: 0,
				height: '100%',
				width: '100%',
				
				background: `url('codesweeper--ai-generated-8311450_1920.jpg')`,
				
				opacity: '.3',
				backgroundSize: 'cover',
				backgroundPosition: '50% 50%'
			}"
		/>
		
		<div 
			:style="{
				position: 'absolute',
				top: 0,
				left: 0,
				
				boxSizing: 'border-box',
				padding: '20px',
				
				height: '100%',
				width: '100%',
				
				display: 'flex',
				flexDirection: 'column',
			}"
		>
			<slot />	
		</div>
		
		
	</div>
</template>